summaryrefslogtreecommitdiff
path: root/qa/1023
diff options
context:
space:
mode:
authorIgor Pashev <pashev.igor@gmail.com>2014-10-26 12:33:50 +0400
committerIgor Pashev <pashev.igor@gmail.com>2014-10-26 12:33:50 +0400
commit47e6e7c84f008a53061e661f31ae96629bc694ef (patch)
tree648a07f3b5b9d67ce19b0fd72e8caa1175c98f1a /qa/1023
downloadpcp-47e6e7c84f008a53061e661f31ae96629bc694ef.tar.gz
Debian 3.9.10debian/3.9.10debian
Diffstat (limited to 'qa/1023')
-rwxr-xr-xqa/102348
1 files changed, 48 insertions, 0 deletions
diff --git a/qa/1023 b/qa/1023
new file mode 100755
index 0000000..159dd41
--- /dev/null
+++ b/qa/1023
@@ -0,0 +1,48 @@
+#!/bin/sh
+# PCP QA Test No. 1023
+# Exercise some pmdumptext problems
+#
+seq=`basename $0`
+echo "QA output created by $seq"
+. ./common.qt
+
+which pmdumptext >/dev/null 2>&1 || _notrun "pmdumptext not installed"
+
+status=1 # failure is the default!
+trap "rm -f $tmp.*; exit \$status" 0 1 2 3 15
+
+# proc metrics may not be available
+pminfo proc.nprocs >/dev/null 2>&1 || _notrun "proc PMDA not installed"
+
+# see if unix domain sockets are available (permissions)
+unix_domain_sockets=false
+eval `pmconfig -L 2>/dev/null`
+target="-h localhost"
+$unix_domain_sockets && target="-h unix:"
+
+# real QA test starts here
+inst=`pminfo $target -F proc.psinfo.pid \
+ | sed -n -e '/inst \[1 /{
+s/^[^"]*"//
+s/ .*//
+p
+}'`
+
+if [ -z "$inst" ]
+then
+ echo "Arrgh, cannot find proc.psinfo.pid for init!"
+ pminfo $target -F proc.psinfo.pid
+fi
+
+echo "proc.psinfo.pid[$inst] 0" >$tmp.config
+echo "proc.psinfo.pid[1]" >> $tmp.config
+
+pmdumptext $target -G -s 1 -f '' -t 1 -c $tmp.config >$tmp.out 2>&1
+
+echo
+echo "expect two \"1\"s ..."
+sort -u $tmp.out
+
+# success, all done
+status=0
+exit